流媒体 API
Livepeer API 用于从管道中创建、检索、更新和删除流对象。流对象
Unique identifier for the stream.
Name of the stream.
Reference to the creator-id schema.
Timestamp of the last activity on the stream.
Number of source segments.
Number of transcoded segments.
Duration of all the source segments in seconds.
Duration of all the transcoded segments in seconds.
Total bytes of source segments.
Total bytes of transcoded segments.
Rate at which sourceBytes increases (bytes/second).
Rate at which transcodedBytes increases (bytes/second).
Indicates if the stream is currently active.
Reference to the stream-health-payload schema for health status.
Reference to the stream-health-payload schema for human-readable issues.
Name of the token used to create this stream.
Timestamp (in milliseconds) of when the stream object was created.
Identifier for the parent stream object.
Key used to form the RTMP ingest URL.
Identifier used to form the playback URL.
Reference to the playback-policy schema.
Array of profiles detailing various streaming qualities.
Indicates if the stream should be recorded.
Details about multistreaming targets and their configurations.
Indicates if the stream is currently suspended.
端点
- 创建流 -
POST /stream - 获取流 -
GET /stream/{id} - 获取所有流 -
GET /stream - 更新流 -
PATCH /stream/{id} - 删除流 -
DELETE /stream/{id} - 终止流 -
POST /stream/{id}/terminate - 创建剪辑 -
POST /stream/{id}/clip - 获取剪辑 -
GET /stream/{id}/clip/{clipId} - 添加多流目标 -
POST /stream/{id}/multistream/target - 删除多流目标 -
DELETE /stream/{id}/multistream/target/{targetId}